/****************************************************************************
** Form interface generated from reading ui file 'examtesterform.ui'
**
** Created: Sat Apr 15 21:39:36 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.3   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#ifndef EXAMTESTERFORM_H
#define EXAMTESTERFORM_H

// in examtesterform.h
#include "examgraphicsform.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QTextBrowser;
class QCheckBox;
class QLineEdit;
class QLabel;
class QPushButton;

class ExamTesterForm : public QDialog
{
    Q_OBJECT

public:
    ExamTesterForm( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, Qt::WindowFlags fl = 0 );
    ~ExamTesterForm();

    QTextBrowser* textBrowser1;
    QCheckBox* _Bubble5;
    QCheckBox* _Bubble4;
    QCheckBox* _Bubble3;
    QCheckBox* _Bubble2;
    QCheckBox* _Bubble1;
    QLineEdit* _AnswerLineEdit;
    QLabel* _AnswerLabel;
    QPushButton* _ClearButton;
    QPushButton* _QuitButton;
    QPushButton* _SubmitButton;
    QPushButton* _NextTestButton;
    QPushButton* _GenerateButton;

    virtual char GetChoice() const;

public slots:
    virtual void StartExam();
    virtual void ClearBoxes();
    virtual void SetReadOnlyBoxes( bool Flag_ );
    virtual void ShowAnswer();
    virtual void ShowButton1();
    virtual void ShowButton2();
    virtual void ShowButton3();
    virtual void ShowButton4();
    virtual void ShowButton5();
    virtual void ShowButton(int Btn_);
    virtual void ShowBubbles( bool Visible_ );
    virtual void ClearPushed();
    virtual void QuitExam();
    virtual void StopReview();
    virtual void ReviewExam();
    virtual void ShowExplanation();
    virtual void ShowTutorialExplanation();
    virtual void ShowQuestion();
    virtual void ShowSummary();
    virtual void SendResponse();
    virtual void ShowNextQuestion();
    virtual void GetNextExam();
    virtual void GenerateExam();
    virtual void GenerateExamQuestions();
    virtual void ShowMathTutorial();

protected:

protected slots:
    virtual void languageChange();
    virtual void ExecuteHelpViewer();
    virtual void ProcessError(QProcess::ProcessError Error_);
    virtual void ProcessStarted();
    virtual void ProcessExited(int exitCode, QProcess::ExitStatus exitStatus);

private:
    int MAX_QUESTIONS;
    int _Index;
    int _TutorialIndex;
    bool _ExamEnded;
    bool _ExamStarted;
    ExamTester* Tester;
    bool _ReviewExam;
    bool _ReviewStarted;
    ExamGraphicsForm* GraphicForm;
    bool _Restarted;
    bool _MathTutorialMode;

    bool _Executed;
    char* _HelpFileName;
    QProcess* _ProcPtr;

    void init();
    void destroy();

};

#endif // EXAMTESTERFORM_H
