#ifndef VIEWHELP_H
#define VIEWHELP_H

#include <QApplication>
#include <Qt3Support>
#include <Q3Socket>


#define HELP_START_FILE         "mathtesterhelp.html"
#define WEB_BROWSER_PATH_FILE   "webpath.dat"

#define DIRSEP                   "\\"
#define EOLCHARLEN               2
#define DEFAULT_WEB_BROWSER      "c:\\Program Files\\Mozilla Firefox\\firefox.exe"
#define WEB_BROWSER_2ND_CHOICE   "c:\\Program Files\\Opera\\opera.exe"
#define WEB_BROWSER_3RD_CHOICE   "c:\\Program Files\\Google\\Chrome\\Application\\chrome.exe"
#define WEB_BROWSER_4TH_CHOICE   "c:\\Program Files\\Safari\\safari.exe"
#define WEB_BROWSER_5TH_CHOICE   "c:\\Program Files\\Internet Explorer\\iexplore.exe"

#define DEFAULT_APPS_DIR         "c:\\Program Files\\"
#define DOCUMENT_DIR             "doc"
#define APPS_FILE_FILTER         "Programs (*.exe)"
#define COPYCMD                  "copy"

class HelpViewer : public QWidget
{
    Q_OBJECT

public:
    HelpViewer();
    ~HelpViewer() {}

private:
    Q3Process *proc;
    QString _WebBrowserPath;

    bool SelectPathToWebBrowser();
    void ShowHelp();
};

#endif // VIEWHELP_H
